# Uses of Interface
org.apache.qpid.proton.engine.Record

Packages that use Record
Package
Description
org.apache.qpid.proton.engine
org.apache.qpid.proton.engine.impl
org.apache.qpid.proton.reactor
org.apache.qpid.proton.reactor.impl

## Uses of Record in org.apache.qpid.proton.engine

Methods in org.apache.qpid.proton.engine that return Record
Modifier and Type
Method
Description
`Record`
Extendable.`attachments()`
Methods in org.apache.qpid.proton.engine with parameters of type Record
Modifier and Type
Method
Description
`T`
RecordAccessor.`get(Record r)`
`static Handler`
BaseHandler.`getHandler(Record r)`
`void`
RecordAccessor.`set(Record r, T value)`
`static void`
BaseHandler.`setHandler(Record r, Handler handler)`

## Uses of Record in org.apache.qpid.proton.engine.impl

Classes in org.apache.qpid.proton.engine.impl that implement Record
Modifier and Type
Class
Description
`class`
`RecordImpl`
RecordImpl
Methods in org.apache.qpid.proton.engine.impl that return Record
Modifier and Type
Method
Description
`Record`
DeliveryImpl.`attachments()`
`Record`
EndpointImpl.`attachments()`

## Uses of Record in org.apache.qpid.proton.reactor

Methods in org.apache.qpid.proton.reactor that return Record
Modifier and Type
Method
Description
`Record`
Reactor.`attachments()`

## Uses of Record in org.apache.qpid.proton.reactor.impl

Methods in org.apache.qpid.proton.reactor.impl that return Record
Modifier and Type
Method
Description
`Record`
AcceptorImpl.`attachments()`
`Record`
ReactorImpl.`attachments()`
`Record`
SelectableImpl.`attachments()`
`Record`
TaskImpl.`attachments()`